﻿using Kendo.Mvc.UI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace TelerikMvcApp9.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            IEnumerable<TreeViewItemModel> items = new List<TreeViewItemModel>()
            {
                new TreeViewItemModel() { Text = "foo", Items = new List<TreeViewItemModel>() {
                    new TreeViewItemModel() { Text = "bar" }
                } },
                new TreeViewItemModel() { Text = "baz" }
            };

            return View(items);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
